% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/iptw.R
\name{iptw}
\alias{iptw}
\title{Compute inverse probability of treatement weights (IPTW) for use with PCM}
\usage{
iptw(df = NULL, Y = NULL, X = NULL, target = "ate")
}
\arguments{
\item{df}{data.frame containing the data}

\item{Y}{string containing the name of the column where the dependent variable is stored in df}

\item{X}{vector of strings containing the names of the columns where the independent variables are stored in df}

\item{target}{string containing the target causal effect of interest. Either "ate" (average treatment effect, default), "stab-ate" (stabilized ATE), "att" (average treatment effect on the treated) or "atu" (average treatment effect on the untreated)}
}
\value{
A vector of IPT weights
}
\description{
This function computes IPTW weights for causal inference with the pcm function
}
